Webhooks
Subscribes to change events for the counter instances collection.
Caution
Read the Webhooks page. There is important information on required implementation!
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
POST
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/webhooks
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-webhooks.write
Body properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
destinationUrl |
string | Yes | Yes | The URL where webhook notifications will be sent. |
collectionName |
string | Yes | Yes | The name of the collection to subscribe to (counters). |
Event properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Unique identifier for the counter instance. |
shiftDefinition.id |
integer | — | Read-only | Unique identifier for the shift definition, if a shift is linked to this counter. |
numberOfInstances |
integer | — | Read-only | Number of counter instances. |
request.id |
string | — | Read-only | Internal unique identifier for the related request, if the counter was requested. |
status |
string | — | Read-only | Status of the counter instance (Unknown, Auto, Manual, Calendar). |
isAuthorized |
boolean | — | Read-only | Indicates if the counter instance is authorized. |
person.id |
integer | — | Read-only | Unique identifier for the person linked to this counter. |
periodType |
string | — | Read-only | Type of period the counter applies to (Unknown, Day, Week, PayPeriod). |
counterDefinition.id |
integer | — | Read-only | Unique identifier for the counter definition linked to this counter. |
date |
string | — | Read-only | Date of the counter instance that it is registered on. |
startTimeInMinutes |
integer | — | Read-only | Start time in minutes from midnight. |
endTimeInMinutes |
integer | — | Read-only | End time in minutes from midnight. |
durationInMinutes |
integer | — | Read-only | Duration of the counter instance in minutes. |
External references
Webhook event payloads support external references for the following collections:
| Collection | Predefined | Custom |
|---|---|---|
people |
@badge-number, @employee-number |
Supported |
shift-definitions |
@shift-code |
Supported |
counter-definitions |
@counter-code |
Supported |
See the external references page for details.
Error responses
| Status | Condition |
|---|---|
400 |
Invalid destination URL or unknown collection name |
401 |
Missing or invalid access token, or insufficient scope |
Success response
201 Created with webhook key and validUntil in the response body.
Examples
A webhook for counters
Example for creating a webhook for counters:
POST
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/webhooks
{
"destinationUrl": "https://www.fictional-customer.com/protime/counters",
"collectionName": "counters"
}